//shaders for doomdragons mapobjects for world of padman
models/mapobjects/pad_ddmix/padlibrary/bookend
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/padlibrary/bookend.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/chess/chess_white
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/chess/chess_white.tga
		rgbGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/chess/chess_black
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/chess/chess_black.tga
		rgbGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/padlibrary/bookend_shader
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/padlibrary/bookend_shader.tga
		rgbGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/padship/bottle
{
	sort additive
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/padship/bottle.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/pad_gfx02/invispad.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/plants/flower_pink
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/flower_pink.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/plants/tulip1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/tulip1.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/diner/can_top
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/diner/can_top.tga
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/diner/coffee_pot
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/diner/coffee_pot.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/plants/water_lily
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/water_lily.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/plants/fern
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/fern.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/plants/flower_yellow
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/flower_yellow.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/padkitchen/towel
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/padkitchen/towel.tga
		rgbGen Vertex
	}
}

models/mapobjects/pad_ddmix/padkitchen/towel_kitchen
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/padkitchen/towel_kitchen.tga
		rgbGen Vertex
	}
}

models/mapobjects/pad_ddmix/padkitchen/towel_bath_blue
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/padkitchen/towel_bath_blue.tga
		rgbGen Vertex
	}
}

models/mapobjects/pad_ddmix/padkitchen/towel_bath_pink
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/padkitchen/towel_bath_pink.tga
		rgbGen Vertex
	}
}

models/mapobjects/pad_ddmix/plants/waterplant1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	deformVertexes wave 194 sin 0 2 0 0.3 
	{
		map models/mapobjects/pad_ddmix/plants/waterplant1.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/mix/matches
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matches.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_diner
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_diner.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_doomdragon
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_doomdragon.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_padman
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_padman.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/plants/bonsai
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/bonsai.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/anteroom/vase
{
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc blend
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/anteroom/water_vase
{
	sort additive
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/water_vase.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/jail/snowman
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/jail/snowman.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/diner/tunnellamp
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/diner/tunnellamp.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/diner/light
{
	cull disable
	nomipmaps
	q3map_surfacelight 1000
	{
		map models/mapobjects/pad_ddmix/diner/light.tga
		rgbGen identity
		tcGen lightmap 
	}
}

models/mapobjects/pad_ddmix/plants/cane
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/cane.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/anteroom/injection
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/injection.tga
		rgbGen Vertex
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen environment 
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/attic/kaspad
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/attic/kaspad.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_house_day
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_house_day.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_house_glass_day
{
	surfaceparm nolightmap
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_house_glass_day.tga
	}
	{
		map models/mapobjects/pad_ddmix/trashcan/reflection.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_house_night
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_house_night.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_house_glass_night
{
	q3map_lightimage models/mapobjects/pad_ddmix/trashcan/lamp_house_glass_night.tga
	q3map_surfacelight 50000
	{
		map $lightmap
		rgbGen identity
		map models/mapobjects/pad_ddmix/trashcan/lamp_house_glass_night.tga
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_house_lightrays
{
	surfaceparm nolightmap
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_house_lightrays.tga
		blendfunc add
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_sewer_dirty
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_sewer_dirty.tga
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_sewer_unlit
{
	surfaceparm nolightmap
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_sewer_unlit.tga
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit
{
	surfaceparm nolightmap
	q3map_lightimage models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit.tga
	q3map_surfacelight 50000
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit.tga
	}
}

models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit2
{
	surfaceparm nolightmap
	q3map_lightimage models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit.tga
	q3map_surfacelight 25000
	{
		map models/mapobjects/pad_ddmix/trashcan/lamp_sewer_lit.tga
	}
}

models/mapobjects/pad_ddmix/diner/glass01
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/diner/glass_highlight_small
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight_small.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/diner/glass_rings
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_rings.tga
		blendfunc blend
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/diner/glass_betty
{
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_betty.tga
		blendfunc blend
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_betty.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/diner/glass_sunrise
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_sunrise.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcGen environment 
	}
}


models/mapobjects/pad_ddmix/diner/glass_midnight
{
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_midnight.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/cabin/telescope
{
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/cabin/telescope.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/cabin/occulars
{
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/cabin/occulars.tga
		tcMod scale 0.8 0.8
		tcGen environment 
	}
	{
		map models/mapobjects/pad_ddmix/cabin/occulars2.tga
		blendfunc blend
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/effects/FireBigA
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		animmap 10 models/mapobjects/pad_ddmix/effects/FireBigA.tga models/mapobjects/pad_ddmix/effects/FireBigB.tga models/mapobjects/pad_ddmix/effects/FireBigC.tga models/mapobjects/pad_ddmix/effects/FireBigD.tga models/mapobjects/pad_ddmix/effects/FireBigE.tga models/mapobjects/pad_ddmix/effects/FireBigF.tga models/mapobjects/pad_ddmix/effects/FireBigG.tga models/mapobjects/pad_ddmix/effects/FireBigH.tga 
		blendfunc add
		rgbGen wave inversesawtooth 1 3 1 3 
	}
}

models/mapobjects/pad_ddmix/ghostpad/ghostpad
{
	surfaceparm trans
	{
		map models/mapobjects/pad_ddmix/ghostpad/ghostpad.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
	}
	{
		map models/mapobjects/pad_ddmix/ghostpad/ghostpad.tga
		blendfunc add
		rgbGen Vertex
	}
	{
		map models/mapobjects/pad_ddmix/ghostpad/ghostpad.tga
		blendfunc add
		rgbGen Vertex
	}
}

models/mapobjects/pad_ddmix/anteroom/medical_case
{
	{
		map models/mapobjects/pad_ddmix/anteroom/medical_case.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/anteroom/black_case
{
	{
		map models/mapobjects/pad_ddmix/anteroom/black_case.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/anteroom/metal_suitcase
{
	{
		map models/mapobjects/pad_ddmix/anteroom/metal_suitcase.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/anteroom/silver_case
{
	{
		map models/mapobjects/pad_ddmix/anteroom/silver_case.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/padship/shiplamp_light
{
	cull disable
	q3map_surfacelight 60
	{
		map models/mapobjects/pad_ddmix/padship/shiplamp_light.tga
	}
}

models/mapobjects/pad_ddmix/padship/valve
{	
	cull disable
	{
		map models/mapobjects/pad_ddmix/padship/valve.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad2c.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/attic/pumper
{	
	cull disable
	{
		map models/mapobjects/pad_ddmix/attic/pumper.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/attic/tubes
{	
	cull disable
	{
		map models/mapobjects/pad_ddmix/attic/tubes.tga
		rgbGen Vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbGen Vertex
		tcGen environment 
	}
}

models/mapobjects/pad_ddmix/trashcan/tree1_twigs
{
	surfaceparm alphashadow
	cull disable
	//deformVertexes wave 194 sin 0 2 0 0.3 
	{
		map models/mapobjects/pad_ddmix/trashcan/tree1_twigs.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}


models/mapobjects/pad_ddmix/trashcan/tree1_leaves
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/tree1_leaves.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/tree2_leaves
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/tree2_leaves.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/tree3_twigs
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/tree3_twigs.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/tree4_leaves
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/tree4_leaves.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/grass
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/grass.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/bush
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/bush.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}