//=======================================================
//sinnfreie gfx
//=======================================================
textures/pad_gfx/blobfx
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided

	deformVertexes wave 30 sin 0 5 0 0.2 
	deformVertexes wave 100 sin 0 4 0 0.1 
	tessSize 48
	qer_trans 0.5
	{
		map textures/pad_gfx/blobfx.tga
		tcGen environment
                tcMod turb 0 0.35 0 0.25
                tcmod scroll -0.6 -0.8
	}
	{
		map textures/pad_gfx/blobfx.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

//=======================================================
//glass
//=======================================================
textures/pad_gfx/glass_bright
{
	qer_editorimage textures/pad_gfx/glass_bright.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_bright.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/pad_gfx/glass_normal
{
	qer_editorimage textures/pad_gfx/glass_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_normal.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/pad_gfx/glass_dark
{
	qer_editorimage textures/pad_gfx/glass_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_dark.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass_blue
{
	qer_editorimage textures/pad_gfx/glass_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_blue.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass_red
{
	qer_editorimage textures/pad_gfx/glass_red.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_red.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass_green
{
	qer_editorimage textures/pad_gfx/glass_green.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_green.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass2_bright
{
	qer_editorimage textures/pad_gfx/glass2_bright.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_bright.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/pad_gfx/glass2_normal
{
	qer_editorimage textures/pad_gfx/glass2_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_normal.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/pad_gfx/glass2_dark
{
	qer_editorimage textures/pad_gfx/glass2_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_dark.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass2_blue
{
	qer_editorimage textures/pad_gfx/glass2_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_blue.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass2_red
{
	qer_editorimage textures/pad_gfx/glass2_red.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_red.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/pad_gfx/glass2_green
{
	qer_editorimage textures/pad_gfx/glass2_green.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_green.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

//=======================================================
//flare
//=======================================================
textures/pad_gfx/flare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/pad_gfx/flare.tga
            blendFunc GL_ONE GL_ONE
          }
}

//=======================================================
//wehender vorhang
//=======================================================

textures/pad_gfx/vorhang
{
	surfaceparm nomarks
	//surfaceparm trans //durchsichtig !?
	cull disable
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 80
	{
		map textures/pad_gfx/vorhang.tga
		rgbGen Vertex
		depthWrite
		//blendfunc add //durchsichtig !?
	}
}

//=======================================================
//auto lack (orange)
//=======================================================

textures/pad_gfx/lack
{
	qer_editorimage textures/pad_gfx/lack.tga
	{
		map textures/pad_gfx/lack.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcGen environment
                blendfunc add
                rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

//=======================================================
//abgedunkeltes fenster
//=======================================================

textures/pad_gfx/window
{
	qer_editorimage textures/pad_gfx/window.tga
	{
		map textures/pad_gfx/window.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcGen environment
                blendfunc add
                rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}


textures/pad_gfx/lack_blue
{
	qer_editorimage textures/pad_gfx/lack_blue.tga
	{
		map textures/pad_gfx/lack_blue.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcGen environment
                blendfunc add
                rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}


textures/pad_gfx/lack_green
{
	qer_editorimage textures/pad_gfx/lack_green.tga
	{
		map textures/pad_gfx/lack_green.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcGen environment
                blendfunc add
                rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}


textures/pad_gfx/lack_red
{
	qer_editorimage textures/pad_gfx/lack_red.tga
	{
		map textures/pad_gfx/lack_red.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcGen environment
                blendfunc add
                rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

//=======================================================
//schnee
//=======================================================

textures/pad_gfx/snow
{
	qer_editorimage textures/pad_gfx/snow.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/pad_gfx/snow.tga
		blendFunc add
		rgbGen identity
		tcMod scroll 0.1 -0.6
		tcMod turb 0.1 0.25 0 -0.1
	} 
}

//=======================================================
//splwasser + zubehr :)
//=======================================================

textures/pad_gfx/water_static
{
	qer_editorimage textures/pad_gfx/water_01.tga
	q3map_lightimage textures/pad_gfx/water_02.tga
	surfaceparm nodrop
	surfaceparm noimpact
	//surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0 0.27 0.42 ) 500
	cull disable
	qer_trans 0.5
	q3map_globaltexture
	

	{
		map textures/pad_gfx/water_01.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}

}

textures/pad_gfx/water
{
	qer_editorimage textures/pad_gfx/water_02.tga
	q3map_lightimage textures/pad_gfx/water_02.tga
	surfaceparm nodrop
	surfaceparm noimpact
	// surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes wave 30 sin 0 4 0 0.2 
	deformVertexes wave 100 sin 0 4 0 0.7 
	tessSize 48
	qer_trans 0.5
	
	{
		map textures/liquids/pool2.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.4 0.3 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 1.4
	}
}

textures/pad_gfx/schaum_static
{
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum_static.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.1 0.05 0 0.5
	}
}

textures/pad_gfx/schaum1
{
	qer_editorimage textures/pad_gfx/schaum.tga
	deformVertexes autosprite
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.1 0.05 0 0.95
		tcMod rotate 6

	}
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.8 0.08 1 -0.64
		tcMod rotate -10
		tcmod scale 0.75 0.75
	}
}

textures/pad_gfx/schaum2
{
	qer_editorimage textures/pad_gfx/schaum.tga
	deformVertexes autosprite
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.1 0.07 0 -0.9
		tcMod rotate -8
		tcmod scale 0.75 0.75
	}
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.8 0.03 1 -1
		tcMod rotate 10

	}

}

textures/pad_gfx/schaum3
{
	qer_editorimage textures/pad_gfx/schaum.tga
	deformVertexes autosprite
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	
	qer_trans 0.5
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.1 0.06 0 -0.4
		tcMod rotate 15
		tcmod scale 0.75 0.75
	}
	{
		map textures/pad_gfx/schaum.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0.8 0.04 1 -0.8
		tcMod rotate 23
		tcmod scale 0.75 0.75
	}
}




