//=======================================================
//webs
//=======================================================

textures/pad_gfx02b/cweb_m01drk
{
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01drk.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}


textures/pad_gfx02b/cweb_m01a
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}



//=======================================================
//mixed attic
//=======================================================


textures/pad_gfx02b/birdcage
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/birdcage.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/puppet_window
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/puppet_window.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/puppet_window02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/puppet_window02.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/latern
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/latern.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


//=======================================================
//mixed misc
//=======================================================


textures/pad_gfx02b/desk01
{
	q3map_lightimage textures/pad_gfx02b/desk01.tga
	q3map_surfacelight 70

        {
		map textures/pad_gfx02b/desk01.tga
		rgbGen identity
	}
	
        {
		map textures/pad_gfx02b/comp_line02b.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 0 1
	}

        {
		map textures/pad_gfx02b/compsnowb.tga
	        blendfunc add
                rgbGen identity
		tcmod scroll 3 3
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}



textures/pad_gfx02b/desk02
{
	q3map_lightimage textures/pad_gfx02b/desk02.tga
	q3map_surfacelight 70

        {
		map textures/pad_gfx02b/desk02.tga
		rgbGen identity
	}
	
        {
		map textures/pad_gfx02b/comp_line02c.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 0 1
	}

        {
		map textures/pad_gfx02b/compsnowc.tga
	        blendfunc add
                rgbGen identity
		tcmod scroll 3 3
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}


textures/pad_gfx02b/desk03
{
	q3map_lightimage textures/pad_gfx02b/desk03.tga
	q3map_surfacelight 70

        {
		map textures/pad_gfx02b/desk03.tga
		rgbGen identity
	}
	
        {
		map textures/pad_gfx02b/comp_line02.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 0 1
	}

        {
		map textures/pad_gfx02b/compsnow.tga
	        blendfunc add
                rgbGen identity
		tcmod scroll 3 3
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}


textures/pad_gfx02b/desk04
{
	q3map_lightimage textures/pad_gfx02b/desk04.tga
	q3map_surfacelight 70

        {
		map textures/pad_gfx02b/desk04.tga
		rgbGen identity
	}
	
        {
		map textures/pad_gfx02b/comp_line02.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 0 1
	}

        {
		map textures/pad_gfx02b/compsnowb.tga
	        blendfunc add
                rgbGen identity
		tcmod scroll 3 3
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}


textures/pad_gfx02b/git001b
{
     qer_editorimage textures/pad_gfx02b/git001b.tga   
     cull none
     surfaceparm alphashadow
     surfaceparm playerclip	
     surfaceparm nomarks
     nopicmip
     {
                map textures/pad_gfx02b/git001b.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
		depthWrite
		rgbGen identity
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}


}


textures/pad_gfx02b/git001
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/git001.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/pad_gfx02b/git001c
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/git001c.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/git001d
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/git001d.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}



textures/pad_gfx02b/git005
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
    
     
        {
                map textures/pad_gfx02b/git005.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}




textures/pad_gfx02b/watgree
{	
	qer_editorimage textures/pad_gfx02b/watgreend.tga
	q3map_lightimage textures/pad_gfx02b/watgreend.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/watgreenc.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/watgreend.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}


textures/pad_gfx02b/watblue
{	
	qer_editorimage textures/pad_gfx02b/watgreen.tga
	q3map_lightimage textures/pad_gfx02b/watgreen.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/watgreenb.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/watgreen.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}


textures/pad_gfx02b/watblack
{	
	qer_editorimage textures/pad_gfx02b/watblack.tga
	q3map_lightimage textures/pad_gfx02b/watblack.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/watblackb.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/watblack.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}



textures/pad_gfx02b/watyell
{	
	qer_editorimage textures/pad_gfx02b/watyell.tga
	q3map_lightimage textures/pad_gfx02b/watyell.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/watyellow.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/watyell.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}

textures/pad_gfx02b/chrome_darkgreen
{
	qer_editorimage textures/pad_gfx02b/chrome_darkgreen.tga	
        {
		map textures/pad_gfx02b/chrome_darkgreen.tga
                tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
           
}


textures/pad_gfx02b/chrome_darkblack
{
	qer_editorimage textures/pad_gfx02b/chrome_darkblack.tga	
        {
		map textures/pad_gfx02b/chrome_darkblack.tga
                tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
           
}


textures/pad_gfx02b/chrome_darkred
{
	qer_editorimage textures/pad_gfx02b/chrome_darkred.tga	
        {
		map textures/pad_gfx02b/chrome_darkred.tga
                tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
           
}


textures/pad_gfx02b/chrome_darkblue
{
	qer_editorimage textures/pad_gfx02b/chrome_darkblue.tga
        {
		map textures/pad_gfx02b/chrome_darkblue.tga
                tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
           
}



textures/pad_gfx02b/beam_yellow
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_yellow.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_red.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_blue
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_blue.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_grey
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_grey.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_purple
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_purple.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_brown
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_brown.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/beam_green
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        //nopicmip
	{
		map textures/pad_gfx02b/beam_green.tga
                tcMod Scroll .4 0
                blendFunc add
        }
     
}


textures/pad_gfx02b/big_flame
{

		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		qer_editorimage textures/pad_gfx02b/flame1.tga
		q3map_surfacelight 200
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/pad_gfx02b/flame1.tga textures/pad_gfx02b/flame2.tga textures/pad_gfx02b/flame3.tga textures/pad_gfx02b/flame4.tga textures/pad_gfx02b/flame5.tga textures/pad_gfx02b/flame6.tga textures/pad_gfx02b/flame7.tga textures/pad_gfx02b/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/pad_gfx02b/flame2.tga textures/pad_gfx02b/flame3.tga textures/pad_gfx02b/flame4.tga textures/pad_gfx02b/flame5.tga textures/pad_gfx02b/flame6.tga textures/pad_gfx02b/flame7.tga textures/pad_gfx02b/flame8.tga textures/pad_gfx02b/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/pad_gfx02b/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/pad_gfx02b/big_flame02
{

		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		qer_editorimage textures/pad_gfx02b/sflame1.tga
		q3map_surfacelight 200
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/pad_gfx02b/sflame1.tga textures/pad_gfx02b/sflame2.tga textures/pad_gfx02b/sflame3.tga textures/pad_gfx02b/sflame4.tga textures/pad_gfx02b/sflame5.tga textures/pad_gfx02b/sflame6.tga textures/pad_gfx02b/sflame7.tga textures/pad_gfx02b/sflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/pad_gfx02b/sflame2.tga textures/pad_gfx02b/sflame3.tga textures/pad_gfx02b/sflame4.tga textures/pad_gfx02b/sflame5.tga textures/pad_gfx02b/sflame6.tga textures/pad_gfx02b/sflame7.tga textures/pad_gfx02b/sflame8.tga textures/pad_gfx02b/sflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/pad_gfx02b/sflameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/pad_gfx02b/big_flameblue
{

		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		qer_editorimage textures/pad_gfx02b/bflame1.tga
		q3map_surfacelight 200
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/pad_gfx02b/bflame1.tga textures/pad_gfx02b/bflame2.tga textures/pad_gfx02b/bflame3.tga textures/pad_gfx02b/bflame4.tga textures/pad_gfx02b/bflame5.tga textures/pad_gfx02b/bflame6.tga textures/pad_gfx02b/bflame7.tga textures/pad_gfx02b/bflame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/pad_gfx02b/bflame2.tga textures/pad_gfx02b/bflame3.tga textures/pad_gfx02b/bflame4.tga textures/pad_gfx02b/bflame5.tga textures/pad_gfx02b/bflame6.tga textures/pad_gfx02b/bflame7.tga textures/pad_gfx02b/bflame8.tga textures/pad_gfx02b/bflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/pad_gfx02b/bflameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/pad_gfx02b/hotlava4
{
	qer_editorimage textures/pad_gfx02b/hotlava4.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 150
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 80 sin 2 2 .1 0.1
	
	{
		map textures/pad_gfx02b/hotlava4.tga
		tcMod turb 0 .2 0 .1
	}
}



textures/pad_gfx02b/hotlava5
{
	qer_editorimage textures/pad_gfx02b/hotlava5.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/pad_gfx02b/hotlava5.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/pad_gfx02b/hotlava6
{
	qer_editorimage textures/pad_gfx02b/hotlava6.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/pad_gfx02b/hotlava6.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/pad_gfx02b/hotlava7
{
	qer_editorimage textures/pad_gfx02b/hotlava7.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/pad_gfx02b/hotlava7.tga
		tcMod turb 0 .2 0 .1
	}
}




textures/pad_gfx02b/hotlava2
{
	
	qer_editorimage textures/pad_gfx02b/hotlava2.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/pad_gfx02b/hotmatsch.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/pad_gfx02b/hotlava2.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}


textures/pad_gfx02b/hotlava2b
{	
	qer_editorimage textures/pad_gfx02b/hotlava6.tga
	q3map_lightimage textures/pad_gfx02b/hotmatsch.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 128
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/hotlava6.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/hotmatsch.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}


textures/pad_gfx02b/hotlava3b
{	
	qer_editorimage textures/pad_gfx02b/hotlava7.tga
	q3map_lightimage textures/pad_gfx02b/hotmatsch.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 20
	tessSize 128
	cull disable

	deformVertexes wave 100 sin 0 1 .2 .3

	{
		map textures/pad_gfx02b/hotlava7.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .025 .025
	}
	
	{
		map textures/pad_gfx02b/hotmatsch.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .02 .02
	}
	

}


textures/pad_gfx02b/hotlava3
{
	
	qer_editorimage textures/pad_gfx02b/hotlava3.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 300
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/pad_gfx02b/hotmatsch.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/pad_gfx02b/hotlava3.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}



textures/pad_gfx02b/padfog_yel
{
		qer_editorimage textures/pad_gfx02b/padfog_yel.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .615 .309 0 ) 616
}


textures/pad_gfx02b/padfog_yel02
{
		qer_editorimage textures/pad_gfx02b/padfog_yel.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .75 .38 0 ) 800
}


textures/pad_gfx02b/padfog_red
{
		qer_editorimage textures/pad_gfx02b/padfog_red.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .5 0 0 ) 96
}


textures/pad_gfx02b/padfog_red02
{
	q3map_lightimage textures/pad_gfx02b/hotmatsch.tga	
	qer_editorimage textures/pad_gfx02b/padfog_red02.tga
	q3map_surfacelight 200
	q3map_lightsubdivide 64

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.9 0.3 0.3 ) 128

}


textures/pad_gfx02b/padfog_red03
{
		qer_editorimage textures/pad_gfx02b/padfog_red.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 0.3 0.2 0.2 ) 320

}


textures/pad_gfx02b/padfog_green
{
		qer_editorimage textures/pad_gfx02b/padfog_green.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .211 .231 .094 ) 250
}


textures/pad_gfx02b/padfog_green02
{
		qer_editorimage textures/pad_gfx02b/padfog_green.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .250 .280 .094 ) 800
}


textures/pad_gfx02b/padfog_grey
{
		qer_editorimage textures/pad_gfx02b/padfog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .733 .737 .620 ) 300

}


textures/pad_gfx02b/padfog_blue
{
		qer_editorimage textures/pad_gfx02b/padfog_blue.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 0.1 0.1 0.3 ) 320

}


textures/pad_gfx02b/padfog_grey02
{
		qer_editorimage textures/pad_gfx02b/padfog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .729 .729 .780 ) 464

}


textures/pad_gfx02b/padmove
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/pad_gfx02b/padmove02
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}




textures/pad_gfx02b/padmove03
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/pad_gfx02b/padmove04
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pad_gfx02b/padmove05
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/pad_gfx02b/padmove06
{
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pad_gfx02b/padmove06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/pad_gfx02b/padflagred02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/padflagred02.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/padflagblue02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/padflagblue02.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}



textures/pad_gfx02b/old_padflagred
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/old_padflagred.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/old_padflagblue
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/old_padflagblue.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/old_padflaggreen
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/old_padflaggreen.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/pad_gfx02b/old_padflagblack
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/old_padflagblack.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}